# Class FormattedNumber
Helper class for storing a numeric value together with a printf format string.

Implements | NumberConcept
All Impl'd | NumberConcept
Defined in | <seqan/basic.h>
Signature | `template <typename TValue> struct FormattedNumber;`

## Template Parameters

`The` | numeric value type.

## Member Function Overview

- `FormattedNumber::FormattedNumber(format, value);`
  Constructor.

## Member Functions Detail

### `FormattedNumber::FormattedNumber(format, value);`

Constructor.

#### Parameters

`format` | A `char const *` for the format string.
`value` | The `TValue` to store.

The constructed FormattedNumber object store the `format` pointer "as is". This means that you are responsible for keeping this pointer valid until the object is deconstructed. Passing in a C string literal (as in `FormattedNumber<double>("%.2f", 1.234)` is fine.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class FormattedNumber
     *
     * @implements NumberConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Helper class for storing a numeric value together with a <a
     *        href="http://www.cplusplus.com/reference/cstdio/printf/">printf format
     *        string</a>.
     *
     * @signature template <typename TValue> struct FormattedNumber;
     *
     * @tparam The numeric value type.
     *
     * @fn FormattedNumber::FormattedNumber
     *
     * @brief Constructor.
     *
     * @signature FormattedNumber::FormattedNumber(format, value);
     *
     * @param[in] format A <tt>char const *</tt> for the format string.
     * @param[in] value The <tt>TValue</tt> to store.
     *
     * The constructed FormattedNumber object store the <tt>format</tt> pointer "as
     * is". This means that you are responsible for keeping this pointer valid until
     * the object is deconstructed. Passing in a C string literal (as in
     * <tt>FormattedNumber&lt;double&gt;("%.2f", 1.234)</tt> is fine.
     */